DMA_POOL_ALLOC(9)

NAME
dma_pool_alloc - get a block of consistent memory

SYNOPSIS

void * dma_pool_alloc (struct dma_pool * pool, gfp_t mem_flags, dma_addr_t * handle);

ARGUMENTS

pool
    dma pool that will produce the block

mem_flags
    GFP_* bitmask

handle
    pointer to dma address of block

DESCRIPTION

This returns the kernel virtual address of a currently unused block, and reports its dma address through the handle. If such a memory block can't be allocated, null is returned.